Subject: bug#77065: 31.0.50; Infinite loop in move_it_to

From: Yifan Zhu <[email-masked]>
Date: Mon, 17 Mar 2025 13:09:59 -0700

On 3/17/25 12:55 PM, Eli Zaretskii wrote:
> Thanks, but I couldn't reproduce, and I suspect it's because the
> recipe is not well-defined.  Let me ask some questions.
Thanks for looking into it! I retested with emacs -Q test.txt, along 
with the clarifying steps provided below, and could reproduce.
So hopefully there should be sufficient information.
>>> 4. Make sure display-line-numbers-mode is turned on, and set wrapping
>> mode to word wrap
> D|oes this mean turn on visual-line-mode, or does this mean just
> assign value to word-wrap?
Turn on visual-line-mode.
>
>> 5. Put cursor on last word of second line, ("subgaussian"), and zoom in
>> until second line just spans two lines
> What does it mean "just spans two lines"?  What exactly should appear
> in the last line of the buffer?
"-subgaussian"
> Also, what is the size of the frame where this recipe should be run?
(set-frame-size (selected-frame) 171 35)
>> 6. M-x split-window-right
> And Emacs freezes right after split-window-right?  Or do I need to do
> anything else?

Yes, it freezes right after split-window-right. On htop I observe it 
using 100% CPU, and increasing memory usage.